addwine/addwine/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.conf.urls.static import static
from django.contrib import admin

from addwine.app import application
from web.views import Error404PageView, admin_index_override
from search.views_api import SearchResultView

handler404 = Error404PageView.as_view()

urlpatterns = [
    url(r'admin/$', admin_index_override, name='index', ),
    url(r'^admin_tools/', include('admin_tools.urls')),
    url(r'^admin/', admin.site.urls),
    url(r'^', include('common.urls')),
    url(r'^', include('sommeliers.urls')),
    url(r'^api/', include('search.urls')),
    url(r'^search/load/(?P<query>[\w ]+)', SearchResultView.as_view(), name='product-search-load'),
    url(r'^', include('recommendation_emails.urls')),
    url(r'', include(application.urls)),


    url(r'^utils/marketing/', include('marketing.urls')),
    url(r'^utils/catalogue/', include('catalogue.urls')),
    url(r'^utils/catalogue/', include('offer.urls')),
    url(r'^utils/checkout/', include('checkout.urls')),
    url(r'^utils/news/', include('news.urls', namespace='news')),
    url(r'^utils/customer_extension/', include('customer.urls', namespace='customer_extension')),
    url(r'^utils/feedback/', include('feedback.urls', namespace='feedback')),
    url(r'^utils/basket/', include('basket.urls', namespace='basket_extension')),
    url(r'^utils/ckeditor/', include('ckeditor_uploader.urls')),
    url(r'^utils/ckeditor/', include('ckeditor_uploader.urls')),
    url(r'^utils/vouchers/', include('voucher.urls', namespace='voucher_extension')),
    url(r'^utils/sommelier_bot/', include('sommelier_bot.urls', namespace='sommelier_bot')),
    url(r'^utils/amocrm_api/', include('amocrm_api.urls', namespace='amocrm_api')),
    url(r'^utils/', include('yandex_market.urls', namespace='yandex_market')),

    url(r'^', include('web.urls')),
]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns = [
                      url(r'^__debug__/', include(debug_toolbar.urls)),
                  ] + urlpatterns

addwine/feedback/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'question_send$', views.QuestionView.as_view(), name="question_send"),
    url(r'backcall_send$', views.BackCallView.as_view(), name="backcall_send"),
    url(r'slider_cta_request_send', views.SliderCTARequestView.as_view(), name="slider_cta_request_send"),
]

addwine/gallery/urls.py
from django.conf.urls import url

addwine/news/urls.py
from django.conf.urls import url

from news.views import AddCommentView, RateView

urlpatterns = [
    url(r'^add_comment$', AddCommentView.as_view(), name='add_comment'),
    url(r'^rate$', RateView.as_view(), name='rate'),
]

addwine/web/urls.py
from django.conf.urls import url

from web.views import AboutPageView, ContactsPageView, FaqPageView, ArticlesPageView, DeliveryPageView, \
    PersonalPageView, BrandPageView, ArticlePageView, ConfidentialDataPageView, \
    VoucherGroupPageView, RangeDiscountPageView, OffertPageView, admin_index_override

urlpatterns = [
    url(r'about$',
        AboutPageView.as_view(),
        name='about'
    ),
    url(r'contacts$',
        ContactsPageView.as_view(),
        name='contacts'
    ),
    url(r'faq$',
        FaqPageView.as_view(),
        name='faq'
    ),

    url(r'articles$', ArticlesPageView.as_view(), name='articles'),
    url(r'articles/(?P<category_slug>[\w-]+)$', ArticlesPageView.as_view(), name='article_category'),
    url(r'articles/(?P<category_slug>[\w-]+)/(?P<article_slug>[\w-]+)$',
        ArticlePageView.as_view(),
        name='article'
    ),

    url(r'sales/(?P<sale_slug>[\w-]+)$', RangeDiscountPageView.as_view(), name='discount'),
    url(r'voucher/(?P<sale_slug>[\w-]+)$', VoucherGroupPageView.as_view(), name='voucher'),

    url(r'delivery$',
        DeliveryPageView.as_view(),
        name='delivery'
    ),
    url(r'policy-personal-data$',
        PersonalPageView.as_view(),
        name='personal'
    ),
    url(r'confidential-policy$',
        ConfidentialDataPageView.as_view(),
        name='confident'
    ),
    url(r'offert$',
        OffertPageView.as_view(),
        name='offert'
    ),
    url(r'brands/(?P<slug>[\w-]+)',
        BrandPageView.as_view(),
        name='brand'
    ),
]

addwine/faq/models.py
from ckeditor.fields import RichTextField
from django.db import models
from treebeard.mp_tree import MP_Node


class FAQCategory(MP_Node):
    title = models.CharField(verbose_name='название', max_length=1024)
    _full_name_separator = ' > '

    def __str__(self):
        return self.full_name

    @property
    def full_name(self):
        """
        Returns a string representation of the category and it's ancestors,
        e.g. 'Books > Non-fiction > Essential programming'.

        It's rarely used in Oscar's codebase, but used to be stored as a
        CharField and is hence kept for backwards compatibility. It's also
        sufficiently useful to keep around.
        """
        names = [category.title for category in self.get_ancestors_and_self()]
        return self._full_name_separator.join(names)

    def get_ancestors_and_self(self):
        """
        Gets ancestors and includes itself. Use treebeard's get_ancestors
        if you don't want to include the category itself. It's a separate
        function as it's commonly used in templates.
        """
        return list(self.get_ancestors()) + [self]

    def get_descendants_and_self(self):
        """
        Gets descendants and includes itself. Use treebeard's get_descendants
        if you don't want to include the category itself. It's a separate
        function as it's commonly used in templates.
        """
        return list(self.get_descendants()) + [self]

    def has_children(self):
        return self.get_num_children() > 0

    def get_num_children(self):
        return self.get_children().count()

    class Meta:
        verbose_name = 'категория FAQ'
        verbose_name_plural = 'категории FAQ'


class FAQQuestion(models.Model):
    category = models.ForeignKey(FAQCategory, verbose_name='категория', on_delete=models.CASCADE,
                                 related_name='questions')
    question = models.CharField(verbose_name="вопрос", max_length=2048)
    answer = RichTextField(verbose_name="ответ")
    created = models.DateTimeField("создано", auto_now_add=True)
    order_field = models.PositiveIntegerField(verbose_name='нажать и тащить', default=0, blank=False, null=False)

    def __str__(self):
        return self.question

    class Meta:
        verbose_name = "вопрос"
        verbose_name_plural = "FAQ"
        ordering = ('order_field',)

addwine/faq/views.py
from django.shortcuts import render

# Create your views here.

addwine/web/templates/web/about.html
{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load thumbnail %}

{% block styles %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal-styles.html" %}
{% endblock %}

{% block content_wrapper %}
    {% get_configs 'common.AboutCompany' as company_info %}
    <div class="personal-sec">
			<div class="container">
				<div class="wrap">
					<div class="title-gradient text-uppercase">о компании</div>
					<div class="text">
                        {{ company_info.company_story|safe }}
					</div>
				</div>
			</div>
		</div>
    {% include 'web/partials/sommelier_slider.html' %}
    <div class="documents-sec">
        <div class="container">
            <div class="slide-title">Наши документы</div>
            <div class="documents-slider">
                {% for doc in docs %}
                <div>
                    <div class="img-block">
                        {% thumbnail doc.doc '132' as im %}
                        <img src = "{{ im.url }}" alt = "{{ doc.title }}">
                        {% endthumbnail %}
                        <a target="_blank" href="{{ doc.doc.url }}" title="{{ doc.title }}"></a>
                    </div>
                    <div class="text text-center">{{ doc.title }}</div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% include 'web/partials/social-networks-widgets.html' %}
{% endblock %}

{% block modal_windows %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal.html" %}
{% endblock %}

{% block scripts %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal-scripts.html" %}
    {% include 'web/partials/social-networks-widgets-scripts.html' %}
{% endblock %}

addwine/web/templates/web/article.html
{% extends 'web/articles_base.html' %}
{% load static %}
{% load thumbnail %}
{% load widget_tweaks %}
{% load el_pagination_tags %}
{% load l10n %}

{% block styles %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-styles.html' %}
{% endblock %}

{% block articles_presection_content %}
    <div class="line-section">
        <div class="container">
            <div class="line"></div>
        </div>
    </div>
    {% include 'web/partials/breadcrumbs.html' with path=breadcrumbs %}
{% endblock %}

{% block articles_page_content %}
    <div class="article-full">
        <div class="wrap clearfix">
            <div class="img-block image-gallery" data-src="{{ article.cover.url }}"
                 data-width="{{ article.cover.width }}" data-height="{{ article.cover.height }}"
            >
                {% thumbnail article.cover '350x400' as im %}
                <img src="{{ im.url }}" alt="{{ article.title }}">
                {% endthumbnail %}
            </div>
            <div class="article-info">
                <div class="date">{{ article.created|date:'d F Y' }}</div>
                <div class="article-title">{{ article.title }}</div>
                <div class="article-text">
                    {{ article.text|safe }}
                </div>
                <div class="rate-block {% if available_for_vote %}available-for-vote{% endif %}">
                    <span class="text on-unavailable-for-vote">Оценка:</span>
                    <span class="text on-available-for-vote">Оцените статью:</span>
                    <div class="rates"
                         data-rate-url="{% url 'news:rate' %}" data-article-id="{{ article.id }}">
                        <span class="star-icon">
                            <a title="Оценка 5 из 5" data-value="5"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 4 из 5" data-value="4"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 3 из 5" data-value="3"></a>
                        </span><span class="star-icon ">
                             <a title="Оценка 3 из 5" data-value="2"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 1 из 5" data-value="1"></a>
                        </span>
                        <div class="rating" style="width: {{ article.rating_in_percents|unlocalize }}%"></div>
                    </div>
                </div>
                <div class="leaveComment-sec">
                    <div class="btn-block">
                        <div class="leaveComment-btn">
                            Оставить комментарий
                        </div>
                    </div>
                    <div class="leaveComment-content">
                        <form method="post" action="{% url 'news:add_comment' %}" data-parsley-validate="">
                            {% csrf_token %}
                            <input name="article" value="{{ article.id }}" hidden>
                            <div class="form-row">
                                <div class="form-group col-md-6" id="commentFormEmailField">
                                    <label for="commentemail" class="col-form-label">Email адрес</label>
                                    {% render_field comment_form.email class='form-control' placeholder="Ваш e-mail"  id="commentemail" data-parsley-required=true data-parsley-maxlength=comment_form.email.field.max_length data-parsley-class-handler="#commentFormEmailField" %}
                                </div>
                                <div class="form-group col-md-6" id="commentFormNameField">
                                    <label for="commentname" class="col-form-label">имя</label>
                                    {% render_field comment_form.name class="form-control" id="commentname" placeholder="Ваше имя"  data-parsley-required=true data-parsley-maxlength=comment_form.name.field.max_length data-parsley-class-handler="#commentFormNameField"%}
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12" id="commentFormTextField">
                                    <label for="commenttext" class="col-form-label">Комментарий</label>
                                    {% render_field comment_form.text  class="form-control" id="commenttext" placeholder="Текст комментария"  data-parsley-required=true data-parsley-class-handler="#commentFormTextField" %}
                                </div>
                            </div>
                            <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                            <small>Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку персональных данных</a></small>
                        </form>
                    </div>
                </div>
                {% if article.comments.all|length %}
                    {% paginate 25 article.comments.all as comments %}
                    <div class="comments">
                        <div class="title">КОММЕНТАРИИ</div>
                        {% for comment in comments.all %}
                            <div class="comment">
                                <div class="clearfix">
                                    <div class="date"><span class="time">{{ comment.created|date:'h:m' }}</span> {{ comment.created|date:'d.m.Y' }}</div>
                                    <div class="name">{{ comment.name }}</div>
                                </div>
                                <div class="text">
                                    {{ comment.text }}
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    {% get_pages as pages %}
                    {% include 'web/partials/pagination.html' with pages=pages %}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}


{% block modal_windows %}
    {% include 'gallery/photoswipe-overlay.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-scripts.html' %}
    <script src="{% static 'web/js/article.js' %}"></script>
{% endblock %}

addwine/web/templates/web/articles.html
{% extends 'web/articles_base.html' %}
{% load static %}
{% load el_pagination_tags %}
{% load thumbnail %}

{% block articles_page_content %}
    {% paginate 10 articles %}
    {% for article in articles %}
    <div class="article-block">
        <div class="wrap clearfix">
            <div class="img-block">
                <div class="description">
                    <a class="background-overlay" href="{{ article.get_absolute_url }}"></a>
                    <a class="btn-wrap" href="{{ article.category.get_absolute_url }}">
                        <button class="btn btn__transparent-gold" >
                            {{ article.category.title }}
                        </button>
                    </a>
                </div>
                {% thumbnail article.cover '350x400' as im %}
                <a href="{{ article.get_absolute_url }}"><img src="{{ im.url }}" alt="{{ article.title }}"></a>
                {% endthumbnail %}
            </div>
            <div class="article-info">
                <div class="date">{{ article.created|date:'d F Y' }}</div>
                <a class="article-title" href="{{ article.get_absolute_url }}">{{ article.title }}</a>
                <div class="article-text">{{ article.snippet|safe }}</div>
                <a href="{{ article.get_absolute_url }}" class="more">Читайте
                    <span class="icon-right">
                        <svg version="1.1" id="Слой_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5.4 3.5" style="enable-background:new 0 0 5.4 3.5;" xml:space="preserve">
                            <style type="text/css">
                                .st0 {
                                    fill-rule: evenodd;
                                    clip-rule: evenodd;
                                }
                            </style>
                            <path class="st0" d="M2.5,0.1L0.1,2.7C0,2.9,0,3.2,0.1,3.3c0.2,0.2,0.4,0.2,0.5,0L2.7,1l2.1,2.3c0.1,0.2,0.4,0.2,0.5,0  c0.2-0.2,0.2-0.4,0-0.6L3,0.1C2.9,0,2.8,0,2.7,0c0,0,0,0,0,0c0,0,0,0,0,0C2.6,0,2.5,0,2.5,0.1z"/>
                        </svg>
                    </span>
                </a>
            </div>
        </div>
    </div>
    {% endfor %}
    {% get_pages as pages %}
    {% include 'web/partials/pagination.html' with pages=pages%}
{% endblock %}

addwine/web/templates/web/confidential.html
{% extends 'layout.html' %}
{% load site_configs_tags %}

{% block content_wrapper %}
    {% get_configs 'common.AboutCompany' as company_info %}
    <div class="personal-sec">
        <div class="container">
            <div class="wrap">
                <div class="title-gradient text-uppercase">Политика AddWine в отношении обработки персональных данных
                </div>
                <div class="text">
                    {{ company_info.rules_confidential|safe }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

addwine/web/templates/web/contacts.html
{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load widget_tweaks %}
{% load l10n %}}
{% load cache %}

{% block content_wrapper %}
    {% get_configs 'common.Contacts' as contacts %}
    <div class="contacts-sec">
        <div class="container">
            <div class="wrap">
                <div class="row flex-sm-row-reverse">
                    <div class="title-gradient text-uppercase">контакты</div>
                    <div class="col-lg-6 col-md-5 ">
                        <div id="map"></div>
                    </div>
                    <div class="col-lg-6 col-md-7 contacts-info">
                        <p>График работы: {% for work_time in contacts.work_times.all %}
                                <br/>
                                {% if work_time.start_day_of_week != work_time.end_day_of_week and work_time.start_day_of_week and work_time.end_day_of_week %}
                                    {{ work_time.start_day_of_week_full_name }} - {{ work_time.end_day_of_week_full_name }}
                                {% else %}
                                    {% if work_time.start_day_of_week  %}
                                    {{ work_time.start_day_of_week_full_name }}
                                    {% elif work_time.end_day_of_week %}
                                    {{ work_time.end_day_of_week_full_name }}
                                    {% endif %}
                                {% endif %}
                                {% if work_time.weekend %}
                                    выходной
                                {% else %}
                                с {{ work_time.start_work_time_hours  }}:{{ work_time.start_work_time_minutes }}
                                до
                                {{ work_time.end_work_time_hours }}:{{ work_time.end_work_time_minutes }}
                                {% endif %}
                            {% endfor %}
                        </p>
                        <div class="line"></div>
                        <ul class = "list-unstyled">
                            <li>Звоните <a href = "tel:{{ contacts.phone }}">{{ contacts.phone }}</a></li>
                            <li>Задайте вопрос на почту: <a href = "mailto:{{ contacts.email }}">{{ contacts.email }}</a></li>
                            <li>Пишите в Watsapp <a href="#">{{ contacts.whatsapp }}</a></li>
                        </ul>
                        <div class="line"></div>
                        <ul class = "list-unstyled">
                            <li>Мы находимся по адресу: <a href = "#">{{ contacts.address }}</a></li>
                            <li>Данные для GPS­навигатора: {{ contacts.gps_lat|unlocalize }}, {{ contacts.gps_lng|unlocalize }}</li>
                        </ul>
                        <button class = "btn btn__gold" onclick="openMobileMap({{ contacts.gps_lat|unlocalize }},{{ contacts.gps_lng|unlocalize }})">Проложить маршрут</button>
                        <div class="line"></div>
                        {{ contacts.legal_information|safe }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="contacts-form">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="wrap">
                        <form data-parsley-validate="" method="post" action="{% url 'feedback:backcall_send' %}" data-yandex-goal="aofsgrf">
                            {% csrf_token %}
                            <div class="form-title">Хотите связаться с нами? Закажите обратный звонок</div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group" id="backcallFormNameField">
                                        <div>
                                            {% with form_backcall.name.field.required|yesno:'true,false' as required %}
                                            {% render_field form_backcall.name class="form-control" id="name" placeholder="Как Вас зовут?" data-parsley-required=required data-parsley-maxlength=form_backcall.name.field.max_length data-parsley-class-handler="#backcallFormNameField" %}
                                            {% endwith %}
                                        </div>
                                    </div>
                                    <div class="form-group" id="backcallInlineFormPhoneField">
                                        <div>
                                            {% with form_backcall.phone.field.required|yesno:'true,false' as required %}
                                            <input type="tel" class="form-control" id="phone"
                                                   name="phone_number"
                                                   placeholder="Введите свой номер телефона"
                                                   {% if required %}required{% endif %}
                                                   data-parsley-required=required
                                                   data-parsley-class-handler="#backcallInlineFormPhoneField"
                                                   data-parsley-validate-phone-number=""
                                            />
                                            {% endwith %}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <button class="btn btn__gold btn-block" type="submit">ОТПРАВИТЬ</button>
                                </div>
                            </div>
                            <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку персональных данных</a></div>
                        </form>
                    </div>
                </div>
                <div class="col-lg-8 col-md-6">
                    <div class="route-img wrap">
                        <h3>Карта проезда</h3>
                        <img class="desktop" src="{% static 'web/img/map-desktop.jpg' %}" alt="Addwine карта проезда">
                        <img class="mobile" src="{% static 'web/img/map-mob.jpg' %}" alt="Addwine карта проезда">
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% include 'web/partials/social-networks-widgets.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}

    {% get_configs 'common.Contacts' as contacts %}
    <script>
        function initMap() {
            var map = new google.maps.Map(document.getElementById('map'), {
                center: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                zoom: 17,
                styles: [{"featureType":"all","elementType":"all","stylers":[{"saturation":"-100"},{"lightness":"41"}]}]
            });

            new google.maps.Marker({
                position: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                map: map,
                icon: "{% static "web/img/contacts_marker.png" %}"
            });
        }

        var isIOS=checkIsIOS();
        function openMobileMap(lat, lng) {
            if(isIOS)
                window.location="http://maps.apple.com/?daddr="+lat+","+lng;
            else
                window.location="http://maps.google.com/?daddr="+lat+","+lng;
        }
    </script>

    {% include 'web/partials/social-networks-widgets-scripts.html' %}
{% endblock %}

{% block extrascripts %}
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBCCpmeDlMK0jD4ZAeLLZ2oMeBvA13ZprE&callback=initMap"
        async defer></script>
{% endblock %}

addwine/web/templates/web/faq.html
{% extends 'layout.html' %}
{% load widget_tweaks %}
{% load cache %}

{% block content_wrapper %}
    <div class="faq-section">
        <div class="container">
            <div class="wrap">
                <div class="question">Не нашли ответ на свой вопрос?
                                      Напишите нам и мы ответим!</div>
                <button class = "btn btn__transparent show-faq-form"><span class="on-active">СВЕРНУТЬ</span><span class="default">РАЗВЕРНУТЬ</span> АНКЕТУ</button>
                <div class="faq-form-sec">
                    <div class="line"></div>
                    <form method="post" action="{% url 'feedback:question_send' %}" data-parsley-validate="">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group" id="questionFormTextField">
                                    <label for="faqtext">Задайте свой вопрос <span class="icon-star">*</span>:</label>
                                    {% with form_question.text.field.required|yesno:"true,false" as required %}
                                    {% render_field form_question.text class="form-control" id="faqtext" data-pasrley-required=required data-parsley-class-handler="#questionFormTextField" %}
                                    {% endwith %}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group" id="questionFormNameField">
                                    <label for="faqname">Имя<span class="icon-star">*</span></label>
                                    {% render_field form_question.name class="form-control" id="faqname" placeholder="Как Вас зовут?" data-parsley-required="true" data-parsley-maxlength=form_question.name.field.max_length data-parsley-class-handler="#questionFormNameField" %}
                                </div>
                                <div class="form-group" id="questionFormEmailField">
                                    <label for="faqemail">E-mail<span class="icon-star">*</span></label>
                                    {% with form_question.email.field.required|yesno:"true,false" as required %}
                                    {% render_field form_question.email class="form-control" id="faqemail" placeholder="Ваш E-mail" data-parsley-required=required data-parsley-maxlength=form_question.email.field.max_length data-parsley-class-handler="#questionFormEmailField" %}
                                    {% endwith %}
                                </div>
                                <div class="form-group" id="questionFormPhoneField">
                                    <label for="faqphone">Телефон</label>
                                    {% with form_question.phone_number.field.required|yesno:"true,false" as required %}
                                    {% render_field form_question.phone_number class="form-control" id="faqphone" placeholder="+7 (***) *** ** **" data-parsley-required=required data-parsley-validate-phone-number="" data-parsley-class-handler="#questionFormPhoneField" %}
                                    {% endwith %}
                                </div>
                            </div>
                        </div>
                        <div class="g-recaptcha"
                             data-callback="capcha_filled"
                             data-expired-callback="capcha_expired"
                             data-sitekey="6LfRYF4UAAAAAErwDVDev6uoutzLlAwRBze1XgXF"
                        ></div>
                        <div class="btns-sec">
                            <button type="submit" class = "btn btn__transparent">Задать вопрос</button>
                            <small>Нажатием кнопки «Задать вопрос» я даю свое <a target="_blank" href="{% url 'personal' %}"> согласие на обработку персональных данных</a></small>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="questions-sec">
        <div class="container">
            <div class="wrap">
                <div class="title-gradient">Вопросы - ответы</div>
                {% for category in categories %}
                    {% include 'web/partials/faq_questions.html' with category=category %}
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}

addwine/web/templates/web/offert.html
{% extends 'layout.html' %}
{% load site_configs_tags %}

{% block content_wrapper %}
    {% get_configs 'common.AboutCompany' as company_info %}
    <div class="personal-sec">
        <div class="container">
            <div class="wrap">
                <div class="title-gradient text-uppercase">Публичная оферта AddWine
                </div>
                <div class="text">
                    {{ company_info.rules_offert|safe }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}